import { EventEmitter } from '../../../stencil-public-runtime';
import { SparkleQuizQuestion } from '../../../models/quiz.model';
export declare class SparkleQuizOpinion {
  el: HTMLElement;
  question: SparkleQuizQuestion;
  selectedIndex: number;
  quizOpinionChange: EventEmitter<{
    value: any;
    question: SparkleQuizQuestion;
  }>;
  private fivePointsDisplayOptions;
  private tenPointsDisplayOptions;
  private tenPointsDefaultValue;
  private optionChanged;
  renderFivePointScale(): any[];
  renderTenPointScale(): any;
  render(): any;
}
